# Tests disabled due to unavailable deps 
%global enable_tests 0
%global barename prismjs

Name:		nodejs-prismjs
Version:	1.0.1
Release:	1%{?dist}
Summary:	Lightweight and extensible syntax highlighter

License:	MIT
URL:		http://prismjs.com/
Source0:	https://github.com/PrismJS/prism/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	npm(npm)
BuildRequires:	npm(gulp)
BuildRequires:	npm(gulp-header)
BuildRequires:	npm(gulp-uglify)
BuildRequires:	npm(gulp-concat)
BuildRequires:	npm(del)
BuildRequires:	npm(vinyl)
BuildRequires:	npm(gulp-rename)
BuildRequires:	npm(highland)
BuildRequires:	npm(yargs)
%endif


%description
Prism is a lightweight, robust, elegant syntax highlighting library.

%prep
%setup -qn prism-%{version}
rm -rf node_modules/

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/prismjs
cp -pr package.json gulpfile.js examples.js prism.js \
    %{buildroot}%{nodejs_sitelib}/prismjs

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
%endif


%files
%license LICENSE
%doc README.md
%{nodejs_sitelib}/prismjs

%changelog
* Sun Jul 26 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1

* Sat Jul 25 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.0.0-1
- Update to 1.0.0

* Fri Jul 24 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 9000.0.1-1
- Initial packaging
